package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.OdsProcureOutOrder;

/**
 * 包材出库单Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public interface OdsProcureOutOrderMapper {
	/**
	 * 查询包材出库单
	 * 
	 * @param ID 包材出库单主键
	 * @return 包材出库单
	 */
	public OdsProcureOutOrder selectOdsProcureOutOrderByID(String ID);

	/**
	 * 查询包材出库单列表
	 * 
	 * @param odsProcureOutOrder 包材出库单
	 * @return 包材出库单集合
	 */
	public List<OdsProcureOutOrder> selectOdsProcureOutOrderList(OdsProcureOutOrder odsProcureOutOrder);

	/**
	 * 新增包材出库单
	 * 
	 * @param odsProcureOutOrder 包材出库单
	 * @return 结果
	 */
	public int insertOdsProcureOutOrder(OdsProcureOutOrder odsProcureOutOrder);

	/**
	 * 修改包材出库单
	 * 
	 * @param odsProcureOutOrder 包材出库单
	 * @return 结果
	 */
	public int updateOdsProcureOutOrder(OdsProcureOutOrder odsProcureOutOrder);

	/**
	 * 删除包材出库单
	 * 
	 * @param ID 包材出库单主键
	 * @return 结果
	 */
	public int deleteOdsProcureOutOrderByID(String ID);

	/**
	 * 批量删除包材出库单
	 * 
	 * @param IDs 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteOdsProcureOutOrderByIDs(String[] IDs);
}
